<ion-card class="ion-shadow ion-m-auto" style="width: 260px;">

    <!-- Thumbnail -->
    <ion-row>
        <ion-col class="ion-text-center">
            <ion-chip color="primary" class="modal-icon">
                <ion-icon [name]="icon" color="primary"></ion-icon>
            </ion-chip>
        </ion-col>
    </ion-row>

    <!-- Message -->
    <ion-row>
        <ion-col class="ion-text-center">
            <ion-label color="dark" class="ion-font-md ion-font-bold">{{ title }}</ion-label>
            <ion-text color="secondary" class="ion-font-sm">
                <p class="ion-my-1 ion-mx-2">
                    {{ message }}
                </p>+
            </ion-text>
        </ion-col>
    </ion-row>

    <!-- Buttons -->
    <ion-row>
        <ng-container *ngFor="let button of buttons">
            <ion-col [size]="buttons.length / 12">
                <ion-button [style]="[button.style]" [fill]="button.fill" mode="md" [color]="button.color"
                    expand="block" (click)="button.listener()">
                    <ion-text class="ion-text-capitalize">
                        {{ button.label }}
                    </ion-text>
                </ion-button>
            </ion-col>
        </ng-container>
    </ion-row>
</ion-card>

<!-- Backdrop -->
<ng-template #backdrop>
    <div class="backdrop"></div>
</ng-template>